Debian Bug report logs - #620953
start-stop-daemon tainted in image

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Michael Stummvoll <michael@stummi.org>

Date: Tue, 5 Apr 2011 09:45:01 UTC

Severity: important

Found in version live-build/2.0.12-2

Fixed in version live-build/3.0~a31-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#620953; Package live-build. (Tue, 05 Apr 2011 09:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stummvoll <michael@stummi.org>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 05 Apr 2011 09:45:17 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Stummvoll <michael@stummi.org>
To: submit@bugs.debian.org
Subject: live-build: "configured" start-stop-daemon remains after cleaning and rebuilding binary
Date: Tue, 05 Apr 2011 11:34:01 +0200
Package: live-build
Version: 2.0.12-2
Severity: normal

After cleaning the binarys with lb clean --binary and rebuilding with lb 
binary the image
has a "configured" start-stop-daemon. This means, that 
/sbin/start-stop-deamon does nothing
and the orginal script is in /usr/sbin/start-stop-deamon.orig

reproducable with a new image from scratch:
lb config && lb build && lb clean --binary && lb binary

tested on the debian stable (squeeze)

Michael Stummvoll

-- Package-specific info:

-- System Information:
Debian Release: 6.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap              1.0.26+squeeze1 Bootstrap a basic Debian system

Versions of packages live-build recommends:
ii  cpio                          2.11-4     GNU cpio -- a program to 
manage ar
ii  gnu-fdisk                     1.2.4-3    Linux fdisk replacement 
based on l

Versions of packages live-build suggests:
pn  dosfstools <none>     (no description available)
pn  genisoimage <none>     (no description available)
ii  grub                          0.97-64    GRand Unified Bootloader 
(dummy pa
pn  memtest86+ | memtest86 <none>     (no description available)
pn  mtools <none>     (no description available)
pn  parted <none>     (no description available)
pn  squashfs-tools | genext2fs | <none>     (no description available)
pn  sudo | fakeroot <none>     (no description available)
pn  uuid-runtime <none>     (no description available)
pn  win32-loader <none>     (no description available)

-- no debconf information





Changed Bug title to 'start-stop-daemon tainted in image' from 'live-build: "configured" start-stop-daemon remains after cleaning and rebuilding binary' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 16 May 2011 12:45:08 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 13 Jun 2011 18:30:08 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 07 Sep 2011 16:03:06 GMT) Full text and rfc822 format available.

Notification sent to Michael Stummvoll <michael@stummi.org>:
Bug acknowledged by developer. (Wed, 07 Sep 2011 16:03:06 GMT) Full text and rfc822 format available.

Message #14 received at 620953-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 620953-close@bugs.debian.org
Subject: Bug#620953: fixed in live-build 3.0~a31-1
Date: Wed, 07 Sep 2011 16:02:20 +0000
Source: live-build
Source-Version: 3.0~a31-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a31-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a31-1_all.deb
live-build-cron_3.0~a31-1_all.deb
  to main/l/live-build/live-build-cron_3.0~a31-1_all.deb
live-build_3.0~a31-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a31-1.debian.tar.gz
live-build_3.0~a31-1.dsc
  to main/l/live-build/live-build_3.0~a31-1.dsc
live-build_3.0~a31-1_all.deb
  to main/l/live-build/live-build_3.0~a31-1_all.deb
live-build_3.0~a31.orig.tar.gz
  to main/l/live-build/live-build_3.0~a31.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 620953@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 07 Sep 2011 17:41:19 +0200
Source: live-build
Binary: live-build live-build-cgi live-build-cron
Architecture: source all
Version: 3.0~a31-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
 live-build-cron - Debian Live - System Build Scripts (cron autobuilder)
Closes: 589728 620953 637979 639298
Changes: 
 live-build (3.0~a31-1) experimental; urgency=low
 .
   [ Daniel Baumann ]
   * Renumbering hooks.
   * Introducing --apt-sources option to control if the live system
     should have deb-src entries in sources.list.
   * Setting apt-source to false in progress mode.
   * Avoiding magic defaults for --apt-indices option when using minimal
     or stripped packagelist.
   * Renaming --apt-source to --apt-source-archives.
   * Including live-tools in standard package list.
   * Adding support for ext4 for binary and chroot filesystem, including
     partial patch from Ben Howard <ben.howard@canonical.com> (Closes:
     #639298).
 .
   [ intrigeri ]
   * Fixing typos brought in by ext4 support patch.
 .
   [ Daniel Baumann ]
   * Only calling udevadm in losetup function when udev is installed on
     the host system.
   * Silencing rmdir calls in makefile.
   * Automatically using an embedded live-build copy from within the
     config tree at local/live-build, if existing.
   * Doing uuid.conf extraction from initrd with the correct
     decompression utility (Closes: #637979).
   * Completing the restoring of the outer chroot when building in
     chrooted to not taint subsequent rebuilds of the binary stage with
     leftovers from the initial lb_binary_rootfs (Closes: #620953).
   * Renaming binary.packages list files (that contain what package is
     installed in the chroot) to chroot as they are build during chroot
     stage, this fixes some rebuild issues.
   * Renaming forgotten lb_binary_local-packagelists to
     lb_binary_packagelists.
   * Renaming lb_chroot_local-includes into lb_chroot_includes and check
     for includes in config/includes.chroot.
   * Copying chroot.packages.live to binary.packages.
   * Improving messages when saving and restoring stage caches (Closes:
     #589728).
   * Improve message when skipping a helper because it is already run.
   * Renaming config/chroot_packages to config/packages.chroot.
   * Renaming lb_chroot_packagelists to lb_chroot_package-lists so that
     helper matches directory.
   * Setting origin in apt release files for local packages to
     config/packages.chroot.
   * Removing spurious version information in cgi form template.
   * Adding link to live-build homepage and version information in cgi
     footer template.
   * Using config/includes.binary rather than config/binary_local-
     includes.
   * Using config/packages.binary instead of config/binary_local-debs.
   * Using config/packages.binary instead of config/binary_local-udebs.
   * Updating lb_config for config/packages.binary.
   * Also respect config/packages for packages to be installed in both
     chroot and binary.
   * Correcting syntax error in local package handling.
Checksums-Sha1: 
 823803709bdbc8791bb6398eb114b7057909af45 1299 live-build_3.0~a31-1.dsc
 8acae2f86fcbfd0c0e24d28119a0928c0ff0ee98 1826255 live-build_3.0~a31.orig.tar.gz
 a15ada66483be0c674525f80973474a9fe683c0e 48801 live-build_3.0~a31-1.debian.tar.gz
 72cec9615eaa133bed93841b8da5d62c68664500 1134038 live-build_3.0~a31-1_all.deb
 639c5aeb301127fa1db83de5615e9ae0195dbfea 62244 live-build-cgi_3.0~a31-1_all.deb
 54c83e212874e55ec841d5cac766b52c5a761e1e 62308 live-build-cron_3.0~a31-1_all.deb
Checksums-Sha256: 
 69010a1ed9d67866866c3ab503f1b0b9dbfeb6756f55a99529228a7b37072d7a 1299 live-build_3.0~a31-1.dsc
 f68fc5dc4f3a10ae27a7a05c560d90fee6d9fd8d296c24c8222e82ed19540daa 1826255 live-build_3.0~a31.orig.tar.gz
 9a2f54156688c3ac3848a3f93ef1451e16419b4ea263fd771e024eef9f4a24b3 48801 live-build_3.0~a31-1.debian.tar.gz
 bcbdfb98a82e1ee60f98146927196b8cfc01fca1bb34ddca103f65248f278de8 1134038 live-build_3.0~a31-1_all.deb
 f702ef8a7a8db80a8f11946b4ff69bf3fd5085be03e7d3d6c4ab35d2241b9409 62244 live-build-cgi_3.0~a31-1_all.deb
 bd87041b2bd268e823315f20499129a1c2182704bed6ad272c0bb59ff4188e5f 62308 live-build-cron_3.0~a31-1_all.deb
Files: 
 499a74ecbfe795fab2d8addd7656de91 1299 misc optional live-build_3.0~a31-1.dsc
 f36b225b0676697135641105256ecb50 1826255 misc optional live-build_3.0~a31.orig.tar.gz
 9c9863dc72034a1a5e8cdd3c08d415e6 48801 misc optional live-build_3.0~a31-1.debian.tar.gz
 1714aa4c1a5139dde6948b6e397b7ef5 1134038 misc optional live-build_3.0~a31-1_all.deb
 bed6018ed6f2b34155005705919d5a4b 62244 misc optional live-build-cgi_3.0~a31-1_all.deb
 89469a8a134809533876daf5ee0b7264 62308 misc optional live-build-cron_3.0~a31-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk5nkp8ACgkQ+C5cwEsrK54yjACgmNm7nc2mC+KBHPbOdtun27L5
7/kAn1OC+kRPphb6RBFMmPOelCJAdWdw
=1JM1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Oct 2011 07:38:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:47:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.